Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class SoftDoublyIndexedTable.Entry

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.SoftReference
              org.apache.batik.util.SoftDoublyIndexedTable.Entry

Enclosing class:
  SoftDoublyIndexedTable

    protected class SoftDoublyIndexedTable.Entry

extends SoftReference

To manage collisions

Field Summary
`int` | `hash` The hash code
`Object` | `key1` The first key
`Object` | `key2` The second key
`SoftDoublyIndexedTable.Entry` | `next` The next entry

Constructor Summary
`SoftDoublyIndexedTable.Entry(int hash, Object key1, Object key2, Object value, SoftDoublyIndexedTable.Entry next)` Creates a new entry

Method Summary
`boolean` | `match(Object o1, Object o2)` Whether this entry match the given keys.

Methods inherited from class java.lang.ref.SoftReference
`get`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### key1

    public Object key1

  The first key

### key2

    public Object key2

  The second key

### next

    public SoftDoublyIndexedTable.Entry next

  The next entry

Constructor Detail

### SoftDoublyIndexedTable.Entry

    public SoftDoublyIndexedTable.Entry(int hash,
                                        Object key1,
                                        Object key2,
                                        Object value,
                                        SoftDoublyIndexedTable.Entry next)

  Creates a new entry

Method Detail

### match

    public boolean match(Object o1,
                         Object o2)

  Whether this entry match the given keys.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.